/*! rollup-plugin-executable v1.4.6 by Sebastian Fastner <s.fastner@sebastian-software.de> */
import { statSync, chmodSync } from 'fs';

var EXECUTABLE_MODE = 73;
function executable(options) {

  var file = null;
  return {
    name: "rollup-plugin-executable",
    generateBundle: function generateBundle(options) {
      file = options.file;
    },
    writeBundle: function writeBundle() {
      if (file) {
        var _statSync = statSync(file),
            mode = _statSync.mode;

        chmodSync(file, mode | EXECUTABLE_MODE);
      }
    }
  };
}

export default executable;
//# sourceMappingURL=index.esm.js.map
